Cancel or Delete a Scheduled Script
curl --request DELETE \
--url https://v1.api.altostrat.io/scripts/scheduled/{scheduledScriptId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://v1.api.altostrat.io/scripts/scheduled/{scheduledScriptId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://v1.api.altostrat.io/scripts/scheduled/{scheduledScriptId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}Scheduled Scripts
Cancel or Delete a Scheduled Script
This endpoint has dual functionality. If the script is ‘unauthorized’ and has not been launched, it will be permanently deleted. If the script is ‘scheduled’ or ‘launched’, it will be marked as ‘cancelled’ to prevent further execution, but the record will be retained.
DELETE
/
scripts
/
scheduled
/
{scheduledScriptId}
Cancel or Delete a Scheduled Script
Authorizations
Altostrat SDX API uses JWT Bearer tokens for authentication. Obtain a token via the Authentication API and include it in the Authorization header as 'Bearer {token}'.
Path Parameters
The unique identifier for the scheduled script.
Example:
"018f5bda-4690-4432-8472-358b2734f19b"
Response
The script was successfully cancelled.
Was this page helpful?
⌘I